import React from 'react';
 
import i18n from  "i18n-js";

import C from 'rn-class'

export default (props) => {
    const openSetting = () => {
        props.navigation.navigate('Setting');
    }
    return (
        <C.EL.Header 
            ccls="bgc-color-transparent"
            leftComponent={<C.Image source={require("../res/header_bubble.png")}  cls="ml2 w10 h10"  resizeMode="contain" />}  
            centerComponent={<C.Text cls="f3 fw-b ">EMPTY</C.Text>}
            rightComponent={
                <C.View cls="flx-row jc-sa w25 ">
                    <C.EL.Button title="P" ccls="w10" btncls="br19.9"/>
                    <C.EL.Button title="E" ccls="w10" btncls="br19.9" onPress={openSetting}/>  
                 </C.View>
            }
        >
        </C.EL.Header>
    )
}
