import React  , {useState}from 'react';
import i18n from 'i18n-js' 
import C from 'rn-class' 
let langs = ["ko"];

export default (props)=>{
    let [lan , setLan] = useState("ko");
    return (
        <C.View cls="flx1 bgc-color-white"> 
             <C.EL.Header 
                    ccls="bgc-color-transparent" 
                    leftComponent={<C.EL.Icon type="antdesign" name="close" onPress={()=>props.navigation.goBack()}/>}  
                >
                </C.EL.Header>
                <C.View cls="flx1 jc-sa ai-c">
                    <C.View  cls="flx0.1 jc-sa ai-c">
                        <C.Text cls="f3 fw-b"> 
                        언어 변경
                        </C.Text>
                        <C.Text cls="f2"> 
                        Change Language 
                        </C.Text>
                    </C.View>

                    <C.Picker 
                        selectedValue={lan}
                        cls="w50%"
                        // onValueChange={langChange}
                        > 
                        {
                        langs.map((v, idx)=>{
                            return (
                                <C.PickerItem cls="f2" key={`lang${idx}`} label={i18n.t(`ChangeLanguage.${v}`)} value={v}/>
                            )
                        })
                        }
                    </C.Picker>
                </C.View>
        </C.View>
    )  


}

